Subject: Re: Chunk header @@@ counts wrong?

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 May 2024 13:47:30 -0700

Junio C Hamano <[email-masked]> writes:

>> * 51 plus-space (new to v1 but already in v2) lines
>
> I think you failed to count three lines in v2 and merge result, they
> look like "<<< HEAD" "======" ">>> 8eec118"; new to v1 but already
> in v2 lines are 54, not 51, no?

Ah, I take that back.  These have ++ that are new relative to parent
#1 and parent #2 (i.e. only the tentative merge result has them).
So, yes, I think you are counting correctly.

Sorry, but I do not know what's counting the hunk length numbers in
today's code offhand, so I won't be digging it further for now.